Name:           cmake-fedora
Version:        2.3.4
Release:        1%{?dist}
Summary:        CMake helper modules for fedora developers
License:        BSD
Group:          System Environment/Libraries
URL:            https://fedorahosted.org/%{name}/
Source0:        https://fedorahosted.org/releases/c/m/%{name}/%{name}-%{version}-Source.tar.gz

BuildRequires:  cmake >= 2.6.2
BuildRequires:  koji
Requires:       cmake >= 2.6.2
Requires:       git
Requires:       bodhi-client
Requires:       koji
Requires:       rpm-build
Requires:       fedpkg

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
cmake-fedora consist a set of cmake modules that provides
helper macros and targets for fedora developers.



%prep
%setup -q -n %{name}-%{version}-Source

%build
# $RPM_OPT_FLAGS should be loaded from cmake macro.
%cmake -DCMAKE_FEDORA_ENABLE_FEDORA_BUILD=1 .
make VERBOSE=1 %{?_smp_mflags}

%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# We install document using doc 
rm -fr %{buildroot}%{_docdir}/*

%check
make test


%files
%defattr(-, root, root, -)
%doc AUTHORS README ChangeLog COPYING
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}-fedpkg
%{_bindir}/%{name}-koji
%{_bindir}/%{name}-newprj
%{_bindir}/koji-build-scratch
%{_datadir}/cmake/Modules/DateTimeFormat.cmake
%{_datadir}/cmake/Modules/ManageAPIDoc.cmake
%{_datadir}/cmake/Modules/ManageArchive.cmake
%{_datadir}/cmake/Modules/ManageChangeLogScript.cmake
%{_datadir}/cmake/Modules/ManageDependency.cmake
%{_datadir}/cmake/Modules/ManageEnvironment.cmake
%{_datadir}/cmake/Modules/ManageEnvironmentCommon.cmake
%{_datadir}/cmake/Modules/ManageFile.cmake
%{_datadir}/cmake/Modules/ManageGConf.cmake
%{_datadir}/cmake/Modules/ManageGettextScript.cmake
%{_datadir}/cmake/Modules/ManageGitScript.cmake
%{_datadir}/cmake/Modules/ManageMessage.cmake
%{_datadir}/cmake/Modules/ManageRPM.cmake
%{_datadir}/cmake/Modules/ManageRPMScript.cmake
%{_datadir}/cmake/Modules/ManageRelease.cmake
%{_datadir}/cmake/Modules/ManageReleaseFedora.cmake
%{_datadir}/cmake/Modules/ManageSourceVersionControl.cmake
%{_datadir}/cmake/Modules/ManageString.cmake
%{_datadir}/cmake/Modules/ManageTarget.cmake
%{_datadir}/cmake/Modules/ManageTranslation.cmake
%{_datadir}/cmake/Modules/ManageUninstall.cmake
%{_datadir}/cmake/Modules/ManageUpload.cmake
%{_datadir}/cmake/Modules/ManageVariable.cmake
%{_datadir}/cmake/Modules/ManageVersion.cmake
%{_datadir}/cmake/Modules/ManageZanata.cmake
%{_datadir}/cmake/Modules/ManageZanataScript.cmake
%{_datadir}/cmake/Modules/ManageZanataSuggest.cmake
%{_datadir}/cmake/Modules/cmake_uninstall.cmake.in
%{_datadir}/cmake/Templates/fedora/CMakeLists.txt.template
%{_datadir}/cmake/Templates/fedora/RELEASE-NOTES.txt.template
%{_datadir}/cmake/Templates/fedora/bsd-3-clauses.txt
%{_datadir}/cmake/Templates/fedora/gpl-2.0.txt
%{_datadir}/cmake/Templates/fedora/gpl-3.0.txt
%{_datadir}/cmake/Templates/fedora/lgpl-2.1.txt
%{_datadir}/cmake/Templates/fedora/lgpl-3.0.txt
%{_datadir}/cmake/Templates/fedora/project.spec.in

%changelog
* Wed Dec 10 2014 Ding-Yi Chen <dchen at redhat.com> - 2.3.4-1
- Fixed RHBZ 1144906 - cmake-fedora failed to build target pot_files if the .pot file not exists.
- ManageDependency: Now able to assign multiple PKG_CONFIG files.
- ManageGConf: Added "Variables to cache".
- cmake-fedora.conf: el7 and fc21 is now available in bodhi.
- ManageRPMScript: Fixed the mo file handling.
- ManageZanata: Use /usr/share/locale as SYSTEM_LOCALE source instead.



